Abstract Event class
====================
.. autoclass:: Event.Event
   :members:

Specific Events
===============
Teleportation
-------------
.. autoclass:: Event.Teleport
   :members:
   :show-inheritance:


Random Teleportation
--------------------
.. autoclass:: Event.RandomTeleport
   :members:
   :show-inheritance:


Port On/Off
-----------
.. autoclass:: Event.PortOn
   :members:
   :show-inheritance:

.. autoclass:: Event.PortOff
   :members:
   :show-inheritance:


Starting/Stopping bursting
--------------------------
.. autoclass:: Event.StartBurst
   :members:
   :show-inheritance:

.. autoclass:: Event.StopBurst
   :members:
   :show-inheritance:


Pausing/Unpausing
-----------------
.. autoclass:: Event.Pause
   :members:
   :show-inheritance:

.. autoclass:: Event.UnPause
   :members:
   :show-inheritance:

Printing messages
-----------------
.. autoclass:: Event.Print
   :members:
   :show-inheritance:
